Subject: Re: bug#32167: Kernel 'build' directory in the store is a broken symbolic link

From: Nils Gillmann <[email-masked]>
Date: Sun, 15 Jul 2018 21:32:53 +0000

[email-masked] transcribed 94 bytes:
> /run/booted-system/kernel/lib/modules/<kernel version>/build is a broken symbolic link.

Yep. This is not a bug until it comes to what you are possibly trying to attempt,
build a software which relies on your *current* kernel sources.

For a solution I can point to the Nix package for linux, where they deal with this
within the kernel package, for firmware and more. Because I'm short on time these
days I haven't sent a patch yet but I can confirm the issues you probably ran into
as I had them many months back already.

Mark, you are mostly responsible for the linux module in Guix.

Besides my own notes, this was relevant:
https://github.com/NixOS/nixpkgs/blob/master/pkgs/os-specific/linux/kernel/manual-config.nix#L161